Đến nội dung


Hình ảnh
- - - - -

Giúp viết lisp chuyển tất cả các đối tượng về 1 layer


  • Please log in to reply
21 replies to this topic

#1 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 08 February 2010 - 11:02 AM

Trong bản vẽ của e có rất nhiều layer, bác nào có thể giúp e chuyển toàn bộ các đối tượng thuộc các lớp về cùng 1 layer chung. Với điều kiện:
1. Lớp có màu gì => đối tượng vẫn phải mang màu đó
2. Lớp có nét gì => đối tượng vẫn mang nét đó
................
Giúp e với nhé. Cám ơn các bác rất nhiều
  • 0

#2 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 09:38 AM

Trong bản vẽ của e có rất nhiều layer, bác nào có thể giúp e chuyển toàn bộ các đối tượng thuộc các lớp về cùng 1 layer chung. Với điều kiện:
1. Lớp có màu gì => đối tượng vẫn phải mang màu đó
2. Lớp có nét gì => đối tượng vẫn mang nét đó
................
Giúp e với nhé. Cám ơn các bác rất nhiều



Không có bác nào giúp e hết cả nhỉ. Giúp e với các bác ơi....................
  • 0

#3 hiepquang

hiepquang

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 315 Bài viết
Điểm đánh giá: 263 (khá)

Đã gửi 09 February 2010 - 10:06 AM

1. Lớp có màu gì => đối tượng vẫn phải mang màu đó
2. Lớp có nét gì => đối tượng vẫn mang nét đó

Mình hơi tò mò 1 tí. Như vậy thì cần nằm chung 1 layer để làm gì nhỉ :undecided: . Nếu cần "chuẩn hóa" thì có thể chọn cách khác, đổi tên hay dùng lệnh Laytrans chẳng hạn
  • 0
There was something wrong. I just never read between the lines...

#4 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 10:52 AM

Mình hơi tò mò 1 tí. Như vậy thì cần nằm chung 1 layer để làm gì nhỉ :undecided: . Nếu cần "chuẩn hóa" thì có thể chọn cách khác, đổi tên hay dùng lệnh Laytrans chẳng hạn



Vì khi làm như thế này, toàn bộ bản vẽ chỉ có 1-2 layer thôi.
1. Nên dung lượng giảm đi rất nhiều.
2. Gửi cho chủ đầu tư cũng tiện (bảo mật), k bị mang tiếng là khóa file, hay là gửi file PDF. Vì 1 số chủ đầu tư, khi hợp đồng, yêu cầu gửi file là DWG và phải sửa được.
Tiện ích này rất hay. Bác nào biết giúp e với nhá. Cám ơn nhiều
  • 1

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 February 2010 - 11:17 AM

Vì khi làm như thế này, toàn bộ bản vẽ chỉ có 1-2 layer thôi.
2. Gửi cho chủ đầu tư cũng tiện (bảo mật), k bị mang tiếng là khóa file, hay là gửi file PDF.

k bị mang tiếng là khóa file, hay là gửi file PDF.
--> Nh­ưng mang tiếng là không chuyên nghiệp, bạn cân nhắc xem cái nào lợi hơn.

Mà sao Sony2007 lại quan tâm đến chức năng "bảo mật" thế nhỉ?
Nếu bạn hợp đồng với chủ đầu tư rõ ràng, mạch lạc thì bạn sợ gì chứ?
Nếu đặt trường hợp bạn là chủ đầu tư, bạn sẽ nghĩ như thế nào??
  • 0

#6 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 11:36 AM

k bị mang tiếng là khóa file, hay là gửi file PDF.
--> Nh­ưng mang tiếng là không chuyên nghiệp, bạn cân nhắc xem cái nào lợi hơn.

Mà sao Sony2007 lại quan tâm đến chức năng "bảo mật" thế nhỉ?
Nếu bạn hợp đồng với chủ đầu tư rõ ràng, mạch lạc thì bạn sợ gì chứ?
Nếu đặt trường hợp bạn là chủ đầu tư, bạn sẽ nghĩ như thế nào??



- Như bác cũng biết đấy, nghề tư vấn là nghề ăn cám trả vàng. Giờ tư vấn thì nhiều, cạnh tranh dữ lắm. Nhiều chủ đầu tư rất oái oăm (có thể là chủ đầu tư, mà vốn là tư nhân, hoặc nguồn vốn quốc phòng...). Bảo thiết kế công trình đó, làm xong đã rồi ký hợp đồng sau. K biết bác thế nào ấy chứ. E đã gặp nhiều ông vua con lắm rồi. Khi giao thiết kế xong. Công trình k có vốn. Để sang năm sau. Chủ đầu tư thay bản vẽ sửa chút ít rồi đóng khung vào đi đóng dấu pháp nhân ở cty khác. Bọn e làm sao mà biết được. Vì có những công trình ở rất xa.

- Lại còn có trường hợp, làm thuê lại cho 1 cty (nhận thiết kế làm ngoài). Tiền chưa ứng được, nhưng đã yêu cầu giao file đánh đĩa. Sau đó xù tiền luôn.
Mỗi người mỗi cảnh mà bác.

Còn nếu đặt vào trường hợp chủ đầu tư, thì mình đàng hoàng thì nói làm gì. Mình là chủ đầu tư, mình chỉ cần file autocad, hoặc PDF gọi là soft copy là được.

Em cũng gặp trường hợp thế này bác. Chủ đầu tư là người nước ngoài share hết toàn bộ file autocad của tư vấn thiết kế cho Đơn vị thi công. Sau đó đơn vị thi công dùng cái này sửa lại chút ít, rồi còn đề ở khung tên là: bản vẽ này thuộc bản quyền của cty.. mọi sự sửa đổi hoặc sao chép phải xin phép....

Nên vấn đề e nói ra, có thể bác là ở vị trí chủ đầu tư, nên bác bảo vệ. Chứ quyền lợi tư vấn thiết kế trong sự cạnh tranh rất khắc nghiệt: thật có, giả có, mới có, cũ có. Thì trước hết mình phải tự bảo vệ mình.

Em nói những suy nghĩ trên mong các bác hiểu và thông cảm. Bác Tue_NV giúp được e thì tốt quá. Vì e cũng biết bác cũng là cao thủ về Autolisp.
Xin cám ơn các bác
  • 1

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 February 2010 - 02:30 PM

Trong bản vẽ của e có rất nhiều layer, bác nào có thể giúp e chuyển toàn bộ các đối tượng thuộc các lớp về cùng 1 layer chung. Với điều kiện:
1. Lớp có màu gì => đối tượng vẫn phải mang màu đó
2. Lớp có nét gì => đối tượng vẫn mang nét đó
................
Giúp e với nhé. Cám ơn các bác rất nhiều

Sony sử dụng code này thử nhé :

(defun c:kmm(/ ss sss doc Util ent)
(vl-load-com)
(if (not (tblsearch "LAYER" "LAYERCHUNG"))
(command "Layer" "N" "LAYERCHUNG" "S" "LAYERCHUNG" "")
)
(setq ss (ssget "X" '((-4 . "") )) )
(setq doc (vla-get-activeDocument (vlax-get-acad-object)))
(vlax-for x (setq sss (vla-get-ActiveSelectionSet doc))
(setq ent (vlax-vla-object->ename x))

(if (= (assoc 62 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Color (cdr(assoc 62 ent_cont)))
(if (= (assoc 6 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Linetype (cdr(assoc 6 ent_cont)))
(vlax-put x 'layer "LAYERCHUNG")
)
(vla-delete sss)
(alert "\n Da chuyen tat ca thanh LAYERCHUNG")
(princ)
)

Chức năng download của diễn đàn bị lỗi. Bạn nhấn Reply bài viết của Tue_NV -> chép hết code về và apload -> sử dụng nhé.
  • 1

#8 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 09 February 2010 - 03:13 PM

Vì khi làm như thế này, toàn bộ bản vẽ chỉ có 1-2 layer thôi.
1. Nên dung lượng giảm đi rất nhiều.
2. Gửi cho chủ đầu tư cũng tiện (bảo mật), k bị mang tiếng là khóa file, hay là gửi file PDF. Vì 1 số chủ đầu tư, khi hợp đồng, yêu cầu gửi file là DWG và phải sửa được.
Tiện ích này rất hay. Bác nào biết giúp e với nhá. Cám ơn nhiều

Tôi chả hiểu bạn bảo mật được gì ở đây?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#9 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 04:56 PM

Sony sử dụng code này thử nhé :


(defun c:kmm(/ ss sss doc Util ent)
(vl-load-com)
(if (not (tblsearch "LAYER" "LAYERCHUNG"))
(command "Layer" "N" "LAYERCHUNG" "S" "LAYERCHUNG" "")
)
(setq ss (ssget "X" '((-4 . "") )) )
(setq doc (vla-get-activeDocument (vlax-get-acad-object))
Util (vla-get-utility doc))
(vlax-for x (setq sss (vla-get-ActiveSelectionSet doc))
(setq ent (vlax-vla-object->ename x))

(if (= (assoc 62 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Color (cdr(assoc 62 ent_cont)))
(if (= (assoc 6 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Linetype (cdr(assoc 6 ent_cont)))
(vlax-put x 'layer "LAYERCHUNG")
)
(vla-delete sss)
(alert "\n Da chuyen tat ca thanh LAYERCHUNG")
(princ)
)

Chức năng download của diễn đàn bị lỗi. Bạn nhấn Reply bài viết của Tue_NV -> chép hết code về và apload -> sử dụng nhé.


Đúng ý em rùi. Cám ơn bác Tuệ rất nhiều...........
  • 0

#10 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 05:07 PM

Tôi chả hiểu bạn bảo mật được gì ở đây?

Thì mình chuyển về 1 layer chung thôi. Nếu muốn tắt lớp, muốn sửa đổi cũng mất rất nhièu thời gian, vì chỉ có 1 layer. Chỉ còn mỗi 1 cách là dùng filter. Nhưng để làm được thì mất thời gian. Chứ còn bảo mật tốt nhất thì e nghĩ là chỉ có là file PDF. Đôi lúc tế nhị, mình vẫn phải gửi file DWG mà bác. Thường người vẽ chuyên, thì quản lý bản vẽ dùng theo các layer. Em chỉ muốn làm khó 1 chút cho đối tác trong việc bảo đảm là file của mình k sử dụng vào việc khác thôi. Cám ơn bác
  • 0

#11 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 February 2010 - 08:28 PM

Thì mình chuyển về 1 layer chung thôi. Nếu muốn tắt lớp, muốn sửa đổi cũng mất rất nhièu thời gian, vì chỉ có 1 layer. Chỉ còn mỗi 1 cách là dùng filter. Nhưng để làm được thì mất thời gian. Chứ còn bảo mật tốt nhất thì e nghĩ là chỉ có là file PDF. Đôi lúc tế nhị, mình vẫn phải gửi file DWG mà bác. Thường người vẽ chuyên, thì quản lý bản vẽ dùng theo các layer. Em chỉ muốn làm khó 1 chút cho đối tác trong việc bảo đảm là file của mình k sử dụng vào việc khác thôi. Cám ơn bác

Sony thân mến
Tui hiểu ý định của bạn nên trước khi tui viết cái Lisp này thì mình đã bảo là không chuyên nghiệp là vì thế. Các chức năng Layiso, Layoff, laylock không có tác dụng là vì toàn bbộ đối tượng của bản vẽ ở cùng 1 Layer. Bởi lẽ vì thế nên Tue_NV mới đặt tên lệnh cho nó là kmm (tức là không mong muốn)

Mình chỉ mong muốn các bạn làm hợp đồng với chủ đầu tư cho thật rõ ràng, chặt chẽ chứ đừng bao giờ sử dụng tới Lisp kmm (không mong muốn) này.
Và nếu đối tác của bạn có hiểu biết về Lisp thì coi như kế hoạch của Sony bị.... phá sản :undecided:

Chúc các bạn ăn Tết vui vẻ, hạnh phúc nhé.
Thân ái.
Tue_NV
  • 1

#12 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 09 February 2010 - 08:50 PM

Sony thân mến
Tui hiểu ý định của bạn nên trước khi tui viết cái Lisp này thì mình đã bảo là không chuyên nghiệp là vì thế. Các chức năng Layiso, Layoff, laylock không có tác dụng của nó là vì chúng ở cùng 1 Layer. Bởi lẽ vì thế nên Tue_NV mới đặt tên lệnh cho nó là kmm (tức là không mong muốn)

Mình chỉ mong muốn các bạn làm hợp đồng với chủ đầu tư cho thật rõ ràng, chặt chẽ chứ đừng bao giờ sử dụng tới Lisp kmm (không mong muốn) này.
Và nếu đối tác của bạn có hiểu biết về Lisp thì coi như kế hoạch của Sony bị.... phá sản :undecided:

Chúc các bạn ăn Tết vui vẻ, hạnh phúc nhé.
Thân ái.
Tue_NV

Cám ơn bác nhiều. Thực ra đã là dân kỹ thuật, ai cũng muốn rõ ràng, chặt chẽ, muốn có căn cứ pháp lý để làm. Có hợp đồng, Phương án khảo sát, nhiệm vụ thiết kế... Nhưng sự thật ở Việt Nam mình không được như thế. Nếu như là vốn của nhà nước (xây dựng cơ bản), hồ sơ thiết kế đã đưa ra thi công, đến khi nghiệm thu thanh quyết toán, thì phải có đầy đủ hồ sơ pháp lý: hồ sơ thiết kế, hóa đơn, các biên bản nghiệm thu..... Nên hơi khó quỵt được tiền của đơn vị tư vấn, việc lấy tiền chỉ sớm hay muộn mà thôi. Vì phải đủ hồ sơ thanh quyết toán mà.

Ngược lại với công trình mà vốn tự có của tư nhân, hay một số vốn khác quốc phòng, .....em thấy có thể mất tiền :undecided:


Phải dùng lisp không mong muốn này chỉ là 1 cách tự bảo vệ mình trước thôi. Em chỉ dám hạn chế thôi, chứ k thể vô hiệu hóa được. Bây giờ các đơn vị tư vấn mượn chứng chỉ lung tung, cạnh tranh không lành mạnh..... Rồi chủ đầu tư đòi trích phần trăm nhiều => phá giá...

Chân thành cám ơn bác vì lời chúc, và những gì bác làm cho diễn đàn, cho mọi người. Năm mới tết đến, chúc bác và gia đình hạnh phúc, làm ăn luôn phát đạt. Muốn cái gì là có cái đó, muốn gì là có gì :undecided:
  • 1

#13 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 10 February 2010 - 08:48 AM

Thì mình chuyển về 1 layer chung thôi. Nếu muốn tắt lớp, muốn sửa đổi cũng mất rất nhièu thời gian, vì chỉ có 1 layer. Chỉ còn mỗi 1 cách là dùng filter. Nhưng để làm được thì mất thời gian. Chứ còn bảo mật tốt nhất thì e nghĩ là chỉ có là file PDF. Đôi lúc tế nhị, mình vẫn phải gửi file DWG mà bác. Thường người vẽ chuyên, thì quản lý bản vẽ dùng theo các layer. Em chỉ muốn làm khó 1 chút cho đối tác trong việc bảo đảm là file của mình k sử dụng vào việc khác thôi. Cám ơn bác

Nói cái này có sai topic tí. Nhưng tụi đã quyết chôm bản vẽ người khác thì nó không cần chi tới tắt mở lớp cả. nó chỉ cần sửa tên mình thành tên nó là xong. Thậm chí nó không cần sửa gì bản vẽ của mình cả thì chẳng có gì gọi là làm khó được cả :undecided: . Thôi khép vần đề không bàn nửa nhé!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#14 hanhgl

hanhgl

    biết lệnh rotate

  • Members
  • PipPipPip
  • 133 Bài viết
Điểm đánh giá: 79 (tàm tạm)

Đã gửi 10 February 2010 - 09:32 AM

- Như bác cũng biết đấy, nghề tư vấn là nghề ăn cám trả vàng. Giờ tư vấn thì nhiều, cạnh tranh dữ lắm. Nhiều chủ đầu tư rất oái oăm (có thể là chủ đầu tư, mà vốn là tư nhân, hoặc nguồn vốn quốc phòng...). Bảo thiết kế công trình đó, làm xong đã rồi ký hợp đồng sau. K biết bác thế nào ấy chứ. E đã gặp nhiều ông vua con lắm rồi. Khi giao thiết kế xong. Công trình k có vốn. Để sang năm sau. Chủ đầu tư thay bản vẽ sửa chút ít rồi đóng khung vào đi đóng dấu pháp nhân ở cty khác. Bọn e làm sao mà biết được. Vì có những công trình ở rất xa.
- Lại còn có trường hợp, làm thuê lại cho 1 cty (nhận thiết kế làm ngoài). Tiền chưa ứng được, nhưng đã yêu cầu giao file đánh đĩa. Sau đó xù tiền luôn.
Mỗi người mỗi cảnh mà bác.
Em cũng gặp trường hợp thế này bác. Chủ đầu tư là người nước ngoài share hết toàn bộ file autocad của tư vấn thiết kế cho Đơn vị thi công. Sau đó đơn vị thi công dùng cái này sửa lại chút ít, rồi còn đề ở khung tên là: bản vẽ này thuộc bản quyền của cty.. mọi sự sửa đổi hoặc sao chép phải xin phép....

Về nguyên tắc làm ăn, chỗ bạn bè quen biết share, chỗ lạ tiền trao cháo múc.
  • 0

#15 hadeptrai

hadeptrai

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 16 November 2010 - 03:42 PM

bác tue_vn ơi lện của nó có phải là KMM đâu bác
nhỉ mong bác xem lạgiưúp ae
  • 0

#16 vudinhtu

vudinhtu

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 November 2011 - 09:32 AM

Mình dùng lisp này thấy báo lỗi:
Error :extra cdrs in dotted pair on input

Các bác gỡ giúp nhé.
  • 0

#17 kloud7

kloud7

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 March 2012 - 05:02 PM

Sao lisp của bác Tue ko sài được nhể, ai đó post được lại không. Thks!
  • 0

#18 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 22 March 2012 - 07:58 PM

Nguyên văn nó như thế này :

(defun c:kmm(/ ss sss doc Util ent)
(vl-load-com)
(if (not (tblsearch "LAYER" "LAYERCHUNG"))
(command "Layer" "N" "LAYERCHUNG" "S" "LAYERCHUNG" "")
)
(setq ss (ssget "X" (list (cons -4 "<not") (cons 8 "LAYERCHUNG")(cons -4 "not>"))))
(setq doc (vla-get-activeDocument (vlax-get-acad-object)))
(vlax-for x (setq sss (vla-get-ActiveSelectionSet doc))
(setq ent (vlax-vla-object->ename x))

(if (= (assoc 62 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Color (cdr(assoc 62 ent_cont)))
(if (= (assoc 6 (entget ent)) nil)
(setq ent_cont (entget(tblobjname "LAYER" (cdr(assoc 8 (entget ent))))))
(setq ent_cont (entget ent))
)
(vlax-put x 'Linetype (cdr(assoc 6 ent_cont)))
(vlax-put x 'layer "LAYERCHUNG")
)
(vla-delete sss)
(alert "\n Da chuyen tat ca thanh LAYERCHUNG")
(princ)
)

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#19 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 23 March 2012 - 05:12 AM

Tại sao không dùng lệnh Laytrans bác Ketxu nhỉ?
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#20 mr.trunghd

mr.trunghd

    biết lệnh mirror

  • Advance Member
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 23 March 2012 - 08:53 AM

Trong bản vẽ của e có rất nhiều layer, bác nào có thể giúp e chuyển toàn bộ các đối tượng thuộc các lớp về cùng 1 layer chung. Với điều kiện:
1. Lớp có màu gì => đối tượng vẫn phải mang màu đó
2. Lớp có nét gì => đối tượng vẫn mang nét đó
................
Giúp e với nhé. Cám ơn các bác rất nhiều

Cánh của bạn vô dụng với Quick select. :)
  • 0

Đừng bao giờ mất kiên nhẫn, đó chính là chiếc chìa khoá cuối cùng mở được cửa.

-Saint Exupery-